# sfepy.discrete.fem.fields_l2 module

class sfepy.discrete.fem.fields_l2.L2ConstantSurfaceField(name, dtype, shape, region, approx_order=0)
  family_name = 'surface_L2_constant'

class sfepy.discrete.fem.fields_l2.L2ConstantVolumeField(name, dtype, shape, region, approx_order=0)

  The L2 constant-in-a-region approximation.

  create_mapping(region, integral, integration, return_mapping=True)
  create_output(dofs, var_name, dof_names=None, key=None, extend=True, fill_value=None, linearization=None)
  eval_basis(key, derivative, integral, iels=None, from_geometry=False, base_only=True)
  family_name = 'volume_L2_constant'
  get_coor(nods=None)

    Returns the barycenter of the field region.

    Parameters:
      nods array, optional

        Ignored.

  get_data_shape(integral, integration='cell', region_name=None)

    Get element data dimensions.

    Parameters:
      integral Integral instance

        The integral describing used numerical quadrature.

      integration‘cell’

        The term integration type. Ignored.

      region_name str

        The name of the region of the integral.

    Returns:
      data_shape 4 ints

        The (n_el, n_qp, dim, n_en) for volume shape kind, (n_fa, n_qp, dim, n_fn) for surface shape kind.

    Notes

    - n_el, n_fa = number of elements/facets

    - n_qp = number of quadrature points per element/facet

    - dim = spatial dimension

    - n_en, n_fn = number of element/facet nodes

    - n_nod = number of element nodes

  get_dofs_in_region(region, merge=True)

    Return indices of DOFs that belong to the given region.

  get_econn(conn_type, region, trace_region=None, local=False)

    Get extended connectivity of the given type in the given region.

    Parameters:
      conn_type: tuple or string

        DOF connectivity type, ignored.

      region: sfepy.discrete.common.region.Region

        The region for which the connectivity is required.

      trace_region: None or string

        Ignored.

      local: bool

        Ignored.

    Returns:
      econn: numpy.ndarray

        The extended connectivity array.

  setup_extra_data(info)